emitter.c File Reference
`#include <psych.h>`

Go to the source code of this file.

## Functions

static void | emit (yaml_emitter_t *emitter, yaml_event_t *event)
static int | writer (void *ctx, unsigned char *buffer, size_t size)
static void | dealloc (void *ptr)
static VALUE | allocate (VALUE klass)
static VALUE | initialize (VALUE self, VALUE io)
static VALUE | start_stream (VALUE self, VALUE encoding)
static VALUE | end_stream (VALUE self)
static VALUE | start_document (VALUE self, VALUE version, VALUE tags, VALUE imp)
static VALUE | end_document (VALUE self, VALUE imp)
static VALUE | scalar (VALUE self, VALUE value, VALUE anchor, VALUE tag, VALUE plain, VALUE quoted, VALUE style)
static VALUE | start_sequence (VALUE self, VALUE anchor, VALUE tag, VALUE implicit, VALUE style)
static VALUE | end_sequence (VALUE self)
static VALUE | start_mapping (VALUE self, VALUE anchor, VALUE tag, VALUE implicit, VALUE style)
static VALUE | end_mapping (VALUE self)
static VALUE | alias (VALUE self, VALUE anchor)
static VALUE | set_canonical (VALUE self, VALUE style)
static VALUE | canonical (VALUE self)
static VALUE | set_indentation (VALUE self, VALUE level)
static VALUE | indentation (VALUE self)
static VALUE | line_width (VALUE self)
static VALUE | set_line_width (VALUE self, VALUE width)
void | Init_psych_emitter ()

## Variables

VALUE | cPsychEmitter
static ID | id_write

## Function Documentation

static VALUE alias | ( | VALUE | self,
|  | VALUE | anchor
| ) |  |

static

Definition at line 387 of file emitter.c.

References Check_Type, Data_Get_Struct, emit(), NIL_P, NULL, rb_str_export_to_enc(), rb_utf8_encoding(), StringValuePtr, and T_STRING.

static VALUE allocate | ( | VALUE | klass | ) |

static

Definition at line 29 of file emitter.c.

References Data_Wrap_Struct, dealloc(), and xmalloc.

Referenced by Init_psych_emitter().

static VALUE canonical | ( | VALUE | self | ) |

static

Definition at line 428 of file emitter.c.

References Data_Get_Struct, Qfalse, and Qtrue.

Referenced by Init_psych_emitter().

static void dealloc | ( | void * | ptr | ) |

static

Definition at line 20 of file emitter.c.

References xfree().

Referenced by allocate().

static void emit | ( | yaml_emitter_t * | emitter,
|  | yaml_event_t * | event
| ) |  |

static

Definition at line 6 of file emitter.c.

References rb_eRuntimeError, and rb_raise().

Referenced by alias(), end_document(), end_mapping(), end_sequence(), end_stream(), scalar(), start_document(), start_mapping(), start_sequence(), and start_stream().

static VALUE end_document | ( | VALUE | self,
|  | VALUE | imp
| ) |  |

static

Definition at line 179 of file emitter.c.

References Data_Get_Struct, and emit().

Referenced by Init_psych_emitter().

static VALUE end_mapping | ( | VALUE | self | ) |

static

Definition at line 368 of file emitter.c.

References Data_Get_Struct, and emit().

Referenced by Init_psych_emitter().

static VALUE end_sequence | ( | VALUE | self | ) |

static

Definition at line 301 of file emitter.c.

References Data_Get_Struct, and emit().

Referenced by Init_psych_emitter().

static VALUE end_stream | ( | VALUE | self | ) |

static

Definition at line 82 of file emitter.c.

References Data_Get_Struct, and emit().

Referenced by Init_psych_emitter().

static VALUE indentation | ( | VALUE | self | ) |

static

Definition at line 455 of file emitter.c.

References Data_Get_Struct, and INT2NUM().

Referenced by Init_psych_emitter().

void Init_psych_emitter | ( |  | ) |

Definition at line 489 of file emitter.c.

References alias, allocate(), canonical(), cPsychEmitter, end_document(), end_mapping(), end_sequence(), end_stream(), id_write, indentation(), initialize(), line_width(), rb_cObject, rb_define_alloc_func(), rb_define_class_under(), rb_define_method(), rb_define_module(), rb_intern, scalar(), set_canonical(), set_indentation(), set_line_width(), start_document(), start_mapping(), start_sequence(), and start_stream().

Referenced by Init_psych().

static VALUE initialize | ( | VALUE | self,
|  | VALUE | io
| ) |  |

static

Definition at line 46 of file emitter.c.

References Data_Get_Struct, and writer().

Referenced by Init_psych_emitter().

static VALUE line_width | ( | VALUE | self | ) |

static

Definition at line 467 of file emitter.c.

References Data_Get_Struct, and INT2NUM().

Referenced by Init_psych_emitter().

static VALUE scalar | ( | VALUE | self,
|  | VALUE | value,
|  | VALUE | anchor,
|  | VALUE | tag,
|  | VALUE | plain,
|  | VALUE | quoted,
|  | VALUE | style
| ) |  |

static

Definition at line 199 of file emitter.c.

References Check_Type, Data_Get_Struct, emit(), NIL_P, NULL, NUM2INT, rb_str_export_to_enc(), rb_utf8_encoding(), RSTRING_LEN, StringValuePtr, and T_STRING.

Referenced by Init_psych_emitter(), and syck_out_scalar().

static VALUE set_canonical | ( | VALUE | self,
|  | VALUE | style
| ) |  |

static

Definition at line 414 of file emitter.c.

References Data_Get_Struct, and Qtrue.

Referenced by Init_psych_emitter().

static VALUE set_indentation | ( | VALUE | self,
|  | VALUE | level
| ) |  |

static

Definition at line 441 of file emitter.c.

References Data_Get_Struct, and NUM2INT.

Referenced by Init_psych_emitter().

static VALUE set_line_width | ( | VALUE | self,
|  | VALUE | width
| ) |  |

static

Definition at line 479 of file emitter.c.

References Data_Get_Struct, and NUM2INT.

Referenced by Init_psych_emitter().

static VALUE start_document | ( | VALUE | self,
|  | VALUE | version,
|  | VALUE | tags,
|  | VALUE | imp
| ) |  |

static

Definition at line 102 of file emitter.c.

References Check_Type, Data_Get_Struct, emit(), i, major, minor, name, NULL, NUM2INT, RARRAY_LEN, RARRAY_PTR, rb_ary_entry(), rb_eRuntimeError, rb_raise(), rb_str_export_to_enc(), rb_utf8_encoding(), RTEST, StringValuePtr, T_ARRAY, xcalloc, and xfree().

Referenced by Init_psych_emitter().

static VALUE start_mapping | ( | VALUE | self,
|  | VALUE | anchor,
|  | VALUE | tag,
|  | VALUE | implicit,
|  | VALUE | style
| ) |  |

static

Definition at line 321 of file emitter.c.

References Check_Type, Data_Get_Struct, emit(), NIL_P, NULL, NUM2INT, rb_str_export_to_enc(), rb_utf8_encoding(), StringValuePtr, and T_STRING.

Referenced by Init_psych_emitter().

static VALUE start_sequence | ( | VALUE | self,
|  | VALUE | anchor,
|  | VALUE | tag,
|  | VALUE | implicit,
|  | VALUE | style
| ) |  |

static

Definition at line 256 of file emitter.c.

References Check_Type, Data_Get_Struct, emit(), NIL_P, NULL, NUM2INT, rb_str_export_to_enc(), rb_utf8_encoding(), StringValuePtr, and T_STRING.

Referenced by Init_psych_emitter().

static VALUE start_stream | ( | VALUE | self,
|  | VALUE | encoding
| ) |  |

static

Definition at line 62 of file emitter.c.

References Check_Type, Data_Get_Struct, emit(), NUM2INT, and T_FIXNUM.

Referenced by Init_psych_emitter().

static int writer | ( | void * | ctx,
|  | unsigned char * | buffer,
|  | size_t | size
| ) |  |

static

Definition at line 12 of file emitter.c.

References id_write, NUM2INT, rb_funcall(), and rb_str_new().

Referenced by initialize().

## Variable Documentation

VALUE cPsychEmitter

Definition at line 3 of file emitter.c.

Referenced by Init_psych_emitter().

ID id_write

static

Definition at line 4 of file emitter.c.

Referenced by Init_psych_emitter(), and writer().